#modal-search {
  max-width: 100%;
  height: 100%;
  border-radius: 0px;
  overflow: hidden;
}

#modal-search .close-modal {
  width: 45px;
  height: 45px;
  top: 15px;
  right: 15px;
}

.bh-modal-search-row {
  display: flex;
}

#bh-modal-search-col-search {
  flex: 75%;
}

#bh-modal-search-col-search input {
  width: 99%;
  background: none;
  border-bottom: 1px solid #d3d3d3;
  padding-left: 0px;
  font-size: 24px;
}

#bh-modal-search-col-action {
  flex: 25%;
}

#bh-modal-search-col-action button {
  font-size: 24px;
  margin-left: 5%;
  width: 95%;
  background-color: #197337;
  color: white;
  border-radius: 0px;
}

#bh-search-header-label {
  margin-top: 50px;
  font-size: 14px;
}

.bh-modal-search-story-img {
  padding: 5px;
}

.bh-modal-search-story-meta {
  color: rgba(0,0,0,.5);
}

.bh-modal-search-story-by {
  font-weight: 600;
}

.bh-modal-search-row-wrapper-story {
  border-bottom: 1px solid rgba(0,0,0,.1);
}

.bh-modal-search-subheader-label {
  font-size: 18px;
  color: #197337;
  margin-top: 10px;
  margin-bottom: 10px;
}

#bh-modal-content.bh-modal-search-content {
  overflow-y: auto;
  overflow-x: hidden;
  height: 80vh;
  margin-top: 5px;
}

.bh-modal-symbol {
  display: flex;
  padding: 5px;
  border-bottom: 1px solid rgba(0,0,0,.1);
  cursor: pointer;
}

.bh-modal-search-wrapper {
  cursor: pointer;
}

/* .bh-modal-search-wrapper-insite {
  cursor: pointer;
} */

/* .bh-modal-symbol:nth-child(even) {
  background: #f3f3f3!important;
}

.bh-modal-symbol:nth-child(odd) {
  background: white!important;
} */

/* .bh-modal-symbol:hover {
  border:0px!important;
  border-bottom: 1px solid rgba(0,0,0,.1)!important;
  color: inherit!important;
  font-weight: inherit!important;
} */

/* .bh-modal-search-wrapper-insite:hover, .bh-modal-search-wrapper:hover {
  border:0px!important;
  border-bottom: 1px solid rgba(0,0,0,.1)!important;
  color: inherit!important;
  font-weight: inherit!important;
  background:white!important;
} */

.bh-modal-symbol-name {
  flex: 50%;
  padding-right: 10px;
  overflow: hidden;
}

.bh-modal-symbol-info {
  flex: 50%;
  text-align: right;
  padding-right: 10px;
}

.bh-modal-symbol-name-label {
  font-weight: 700;
  overflow: hidden;
  text-overflow: ellipsis;
  text-wrap: nowrap;  
  /* font-size: 25px; */
}

.bh-modal-symbol-info-price {
  font-weight: 700;
  font-size: 20px;
}

#bh-modal-search-symbols > .ui-autocomplete {
  position: inherit!important;
  top: inherit!important;
  left: inherit!important;
  display: block!important;
  width: 100%!important;
  border: 0px!important;
}

#bh-modal-search-stories > .ui-autocomplete {
  position: inherit!important;
  top: inherit!important;
  left: inherit!important;
  display: block!important;
  width: 100%!important;
  background: none;
  border: none;	
}

#bh-modal-search-stories-partners > .ui-autocomplete {
  position: inherit!important;
  top: inherit!important;
  left: inherit!important;
  display: block!important;
  width: 100%!important;
}

.bh-modal-symbol-info-stats-negative {
  color:red;
}

.bh-modal-symbol-info-stats-positive {
  color:green;
}

@media (min-width:320px)  {
  /* smartphones, portrait iPhone, portrait 480x320 phones (Android) */
  .bh-modal-search-story-content {
    flex: 100%;
  }
  .bh-modal-search-story-img {
    flex: 100%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: column;
  }
  .bh-modal-search-story-title {
    font-size:22px;
  }
  #modal-search {
    padding-left: 16px;
    padding-right: 16px;
  }
}
@media (min-width:480px)  {
  /* smartphones, Android phones, landscape iPhone */
  .bh-modal-search-story-content {
    flex: 100%;
  }
  .bh-modal-search-story-img {
    flex: 100%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: column;
  }
  .bh-modal-search-story-title {
    font-size:22px;
  }
  #modal-search {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (min-width:600px)  {
  /* portrait tablets, portrait iPad, e-readers (Nook/Kindle), landscape 800x480 phones (Android) */
  .bh-modal-search-story-content {
    flex: 70%;
  }
  .bh-modal-search-story-img {
    flex: 30%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: row;
  }
  .bh-modal-search-story-title {
    font-size:39px;
  }
  #modal-search {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (min-width:801px)  {
  /* tablet, landscape iPad, lo-res laptops ands desktops */
  .bh-modal-search-story-content {
    flex: 70%;
  }
  .bh-modal-search-story-img {
    flex: 30%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: row;
  }
  .bh-modal-search-story-title {
    font-size:39px;
  }
  #modal-search {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (min-width:1025px) {
  /* big landscape tablets, laptops, and desktops */
  .bh-modal-search-story-content {
    flex: 70%;
  }
  .bh-modal-search-story-img {
    flex: 30%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: row;
  }
  .bh-modal-search-story-title {
    font-size:39px;
  }
  #modal-search {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (min-width:1281px) {
  /* hi-res laptops and desktops */
  .bh-modal-search-story-content {
    flex: 70%;
  }
  .bh-modal-search-story-img {
    flex: 30%;
  }
  .bh-modal-search-row-wrapper-story {
    flex-direction: row;
  }
  .bh-modal-search-story-title {
    font-size:39px;
  }
  #modal-search {
    padding-left: 100px;
    padding-right: 100px;
  }
}

#modal-related-stories {
  max-width: 90%;
  width: 90%;
  height: 90vh;
}

#modal-related-stories iframe {
  width: 100%;
  height: 100%;
  /* pointer-events: none; */
}

#modal-related-stories iframe.lockframe { z-index: -2; }

#modal-related-stories a.close-modal {
  top: 8px;
  right: 8px;
}

.modal-related-stories-iframe-erorr {
  text-align: center;
  font-size: 25px;
  margin-top: 25pt;
}

.bh-lds-dual-ring {
  display: block;
  margin: auto;
  width: 40px;
  height: 40px;
}
.bh-lds-dual-ring:after {
  content: " ";
  display: block;
  width: 32px;
  height: 32px;
  margin: 4px;
  border-radius: 50%;
  border: 6px solid #197337;
  border-color: #197337 transparent #197337 transparent;
  animation: bh-lds-dual-ring 1.2s linear infinite;
}
@keyframes bh-lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

#modal-search > #bh-modal-header {
  border-bottom: 0px;
}

/* JW Additional CSS */
/* TODO: Refactor into CSS */
/* .bh-modal-search-wrapper-insite, .bh-modal-search-wrapper {
    margin: 10px 20px 10px 0;
    border: 1px solid rgba(0,0,0,0.05);
/*    border-radius: 10px;
     box-shadow: 0px 4px 5px rgba(0,0,0,0.05); */
    padding: 15px 20px;
    background: rgba(255,255,255,1);
} */


.bh-modal-search-row-wrapper-story {
    border: none;
    display: flex;
    flex-direction: row-reverse;
}

#modal-search.modal {
    background: rgba(255,255,255,0.9);
    font-family: "Open Sans", sans-serif;
}

.bh-modal-search-story-img {
/*     border-radius: 8px; */
    overflow: hidden;
    display: flex;
    padding: 0;
    max-height: 150px;
    max-width: 150px;
}

.bh-modal-search-story-content {
    margin: 0 10% 0 0;
    display: flex;
    flex-flow: column;
}

.bh-modal-search-story-title {
    line-height: 48px;
    order: 1;
}

.bh-modal-search-story-meta {
    order: 3;
}

.bh-modal-search-excerpt {
    order: 2;
    max-width: 80%;
    color: rgba(0,0,0,0.6);
}

#bh-modal-search-stories > .ui-autocomplete, #bh-modal-search-stories-partners > .ui-autocomplete {
    padding: 0;
}

.bh-modal-search-story-img img {
    align-self: center;
}

.bh-modal-search-story-meta p {
    font-size: 0.8em;
}

.bh-modal-search-excerpt p {
    margin: 10px 0 20px 0;
}

#modal-search {
    padding-top: 80px;
}

#bh-modal-search-col-search {
    flex: 85%;
}

#bh-modal-search-col-action {
    flex: 20%;
}

input#site-search {
    border-bottom: 2px solid #197337;
    border-radius: 0;
    width: 100%;
    padding: 0 0 5px 0;
    font-size: 42px;
    font-weight: 700;
    color: rgba(0,0,0,.5);
}

input#site-search::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: rgba(0,0,0,0.2);
  text-transform: none;
}
input#site-search::-moz-placeholder { /* Firefox 19+ */
  color: rgba(0,0,0,0.2);
  text-transform: none;
}
input#site-search:-ms-input-placeholder { /* IE 10+ */
  color: rgba(0,0,0,0.1);
  text-transform: none;
}
input#site-search:-moz-placeholder { /* Firefox 18- */
  color: rgba(0,0,0,0.1);
  text-transform: none;
}

#bh-modal-search-col-action button {
    font-weight: 500;
    height: 100%;
    background: transparent;
    border: 2px solid #197337;
    color: #197337;
    font-size: 20px;
    margin-left: 20%;
    width: 80%;
}

#bh-search-col-action button {
  background: transparent;
  border: 2px solid #197337;
  color: #197337;
}

/* .bh-modal-search-wrapper-insite:hover, .bh-modal-search-wrapper:hover {
    box-shadow: none;
} */

#bh-modal-search-col-action button:hover {
  background-color: #197337;
  color: #fff;
}

#bh-search-col-action button:hover {
  background-color: #197337;
  color: #fff;
}

#bh-modal-content.bh-modal-search-content {
    margin-top: 30px;
}

.bh-modal-search-subheader-label {
    font-size: 20px;
    /* text-transform: uppercase; */
    border-bottom: 2px solid #197337;
    margin: 10px 20px 0 0;
    font-weight: 600;
}

#bh-modal-search-symbols > .ui-autocomplete {
    padding: 0;
}

#bh-modal-search-symbols .bh-modal-symbol, .bh-search-container-symbol .bh-modal-symbol {
/*    margin: 10px 20px 10px 0;
    border: 1px solid rgba(0,0,0,0.05);
/*    border-radius: 10px;
     box-shadow: 0px 4px 5px rgba(0,0,0,0.05); */
    padding: 15px 20px;
    background: rgba(255,255,255,1);
}
.bh-search-container-symbol {
  border-top: 2px #197337 solid;
  background-color: white;
  margin-bottom: 20px;
}

#bh-modal-search-symbols .bh-modal-symbol:hover, .bh-search-container-symbol .bh-modal-symbol:hover {
  background: #ebeced;
}

/* #bh-modal-search-symbols .bh-modal-symbol-name-label {font-weight: 500;} */

#bh-modal-search-symbols .bh-modal-symbol-company-label {
    color: rgba(0,0,0,0.6);
}

#bh-modal-search-symbols, #bh-modal-search-stories, #bh-modal-search-stories-partners {
    margin: 20px 0 40px 0;
}

#bh-modal-search-symbols .bh-modal-symbol-info-stats-positive:after, #bh-modal-search-symbols .bh-modal-symbol-info-stats-negative:after {
	content: '';
	display: block;
	width: 0;
	height: 0;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-bottom: 20px solid green;
	position: absolute;
	top: 30%;
	right: 0;
	transform: translateY(-50%);
}

#bh-modal-search-symbols .bh-modal-symbol-info {
    position: relative;
}

#bh-modal-search-symbols .bh-modal-symbol-info-price, #bh-modal-search-symbols .bh-modal-symbol-info-stats {padding-right: 25px;}

#bh-modal-search-symbols .bh-modal-symbol-info-stats-negative:after {
    border-top: 20px solid red;
    border-bottom: none;
}

#bh-modal-search-symbols .bh-modal-symbol-info-price {
    font-weight: 500;
    /* font-size: 25px; */
}

#bh-modal-search-symbols .bh-modal-search-wrapper {
    margin: 10px 20px 10px 0;
    border: 1px solid rgba(0,0,0,0.05);
/*    border-radius: 10px;
     box-shadow: 0px 4px 5px rgba(0,0,0,0.05); */
    padding: 15px 20px;
    background: rgba(255,255,255,1);
}

/* not sure what this element is */
.ui-helper-hidden-accessible {
    display: none;
}

@media all and (max-width:480px) {
    #modal-search {
        padding-top: 16px;
    }

    #modal-search .close-modal {
        width: 32px;
        height: 32px;
        top: 16px;
        right: 8px;
    } 
    
    .bh-modal-search-row {
        flex-flow:column;
    }

    #bh-modal-search-col-search {
        flex: 100%;
        max-width: 90%;
    }

    #bh-modal-search-col-action {
        flex: 100%;
    }

    input#site-search {
        font-size: 20px;
    }

    #bh-modal-content.bh-modal-search-content {
        margin-top: 8px;
    }    

    #bh-modal-search-col-action button {
        margin: 16px 0 0 0;
        width: 100%;
		padding: 8px;		
    }

    #bh-modal-search-symbols .bh-modal-symbol {margin: 8px 0;padding: 8px;}
    
    .bh-modal-symbol-name-label {
        font-size: 14px;
        line-height: 1.3em;
    }
    #bh-modal-search-symbols .bh-modal-symbol-info-price, #bh-modal-search-symbols .bh-modal-symbol-info-stats {
        font-size: 14px;
        line-height: 1.3em;
    }
    .bh-modal-search-subheader-label {
        margin: 8px 0 0;
    }
    /* #bh-modal-search-symbols, #bh-modal-search-stories, #bh-modal-search-stories-partners {
        margin: 16px 0;
    } */
    /* .bh-modal-search-wrapper-insite, .bh-modal-search-wrapper {
        margin: 8px 0;
        padding: 8px;
    } */
    .bh-modal-search-story-img {
        max-width: 75px;
        max-height: 75px;
        flex: 30%;
    }
    .bh-modal-search-story-content {
        flex: 70%;
        margin: 0;
        padding: 0 16px 0 0;
    }
    .bh-modal-search-row-wrapper-story {
        flex-flow: row-reverse;
    }
    .bh-modal-search-story-title {
        line-height: 1.4em;
        font-size: 16px;
    }
    .bh-modal-search-excerpt {
        display: none;
    }    
    .bh-modal-search-story-meta p {
		white-space: nowrap;
		padding: 0 40px 0 0;
		overflow: scroll;
	}
    .bh-modal-search-story-meta {
        max-width: 200px;
        position: relative;
    }
    .bh-modal-search-story-meta:after {
		content: '';
		width: 40px;
		height: 100%;
		position: absolute;
		right: 0;
		background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
		background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
		background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);top: 0;
	}       
}
